<?php
/**
* HTML Element plugin
*
* @version		$Id: html.php 338 2009-09-21 09:57:25Z dr_drsh $
* @package		Joomla
* @subpackage	JForms
* @copyright	Copyright (C) 2008 Mostafa Muhammad. All rights reserved.
* @license		GNU/GPL
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();


class JFormEPluginHtml extends JFormEPlugin{

	function render( $elementData ){
		$p = JArrayHelper::toObject($elementData->parameters);
		$p->htmlValue = base64_decode($p->htmlValue);
		return "<div class='{$p->css}'>{$p->htmlValue}</div>";
	}
}